package com.ghy.web.controller;


import com.ghy.common.dto.DataEntityDTO;
import com.ghy.common.enums.WxMsgEnum;
import com.ghy.common.utils.WechatMsgUtils;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author 但星霖
 * @Date 2023-09-28 10：42：56
 * 说明：
 */
@RestController
@RequestMapping("/mesg/test")
public class MesgTestController {

    @GetMapping("/{openId}")
    public void edit(@PathVariable("openId") String openId){
        try {
            // 消息组装。
            Map<String, Object> paramsNew = new HashMap<>();
            // 订单编号
            paramsNew.put("character_string1", new DataEntityDTO("12312"));
            // 名称
            paramsNew.put("thing2", new DataEntityDTO("订单被拒通知"));
            // 预约时间
            paramsNew.put("data8", new DataEntityDTO(com.ghy.common.utils.DateUtils.parseDateToStr("yyyy年MM月dd日 HH:mm", new Date())));
            // 师傅姓名
            paramsNew.put("name3", new DataEntityDTO("测试"));
            // 服务区域
            paramsNew.put("thing4", new DataEntityDTO("成都市"));
            // 消息推送
            WechatMsgUtils.sendWeChatMsg(WechatMsgUtils.getToken(), openId, WxMsgEnum.TEXT, paramsNew);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
